Subject: [Mip6] RE: [nemo] carrying IPv4 traffic using MIP6/NEMO

From: "Soliman, Hesham" <[email-masked]>
Date: Tue, 9 Aug 2005 09:56:03 -0400

> Great, does the DT have a requirement for giving v4 access 
 > to nodes in a
 > moving network whose MR runs Mobile IPv6 and connects to a v4 access
 > network?
 > 
 > If yes, does the requirement include v4 session continuity?  Does the
 > requirement include reachability at a permanent v4 address?  These
 > aspects are important, at least for deciding on whether or not to use
 > NAT within the moving network (see draft-shima).

=> I think Vijay included all our requirements so far in the 
slides in Paris. So there is nothing more than what's in those 
slides.

 > Hesham, did you encode the prefixlen on 8 or 5 bits?  
 > Anyways, I don't
 > think simply adding a v4 prefixlen into a message format is 
 > as easy as
 > it may look.  Conceptually - yes, just use a prefixlen, but 
 > from there
 > to a protocol may be a longer way.  For example, what 
 > happens when MR's
 > v4 Home Address is independent of the Mobile Network Prefix 
 > (they differ
 > starting at the 0th bit).

=> That's no different to the IPv6 case. 

 > 
 > I think giving v4 access to nodes in the moving network would best be
 > done by a NEMOv4 protocol.

=> It's not about giving v4 access to those nodes, it's about 
updating the MR's v4 home address/prefix to its current CoA. 
What happens inside the network is not in scope of transition mechanisms.

Hesham

 > Alex

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 09 Aug 2005 16:05:20 +0200

Soliman, Hesham wrote:

>> Great, does the DT have a requirement for giving v4 access to nodes
>> in a moving network whose MR runs Mobile IPv6 and connects to a v4
>> access network?
>> 
>> If yes, does the requirement include v4 session continuity?  Does
>> the requirement include reachability at a permanent v4 address?
>> These aspects are important, at least for deciding on whether or
>> not to use NAT within the moving network (see draft-shima).
> 
> => I think Vijay included all our requirements so far in the slides
> in Paris. So there is nothing more than what's in those slides.
> 
>> Hesham, did you encode the prefixlen on 8 or 5 bits? Anyways, I
>> don't think simply adding a v4 prefixlen into a message format is 
>> as easy as it may look.  Conceptually - yes, just use a prefixlen,
>> but from there to a protocol may be a longer way.  For example,
>> what happens when MR's v4 Home Address is independent of the Mobile
>> Network Prefix (they differ starting at the 0th bit).
> 

Yes it is.  In v6 one gets the v6 Home Address from the DO, and that can
be different than the address and prefixlen that is in the BU.

With a NEMOv6 that supports a v4 MNP the v6 HA can't find a v4 Home
Address other than the one on which you attached a prefix len.

If I am making myself clear...

>> I think giving v4 access to nodes in the moving network would best
>> be done by a NEMOv4 protocol.
> 
> updating the MR's v4 home address/prefix to its current CoA. What
> happens inside the network is not in scope of transition mechanisms.

Is mip6trans doing a "transition mechanism"?  I don't get the above.

Alex